<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/25/2003 *
 * ===================                          Last change: 11/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : header.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : Outputs header HTML code, will not when frameset *
 *           is active                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Gibt nur dann HTML-Code fuer den Kopf-Bereich    *
 *           aus, wenn Frameset nicht aktiv ist                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Init header
$GLOBALS['__page_header'] = '';

// Is the header already sent?
if (($GLOBALS['__header_sent'] != 1) && ($GLOBALS['__header_sent'] != 2)) {
	// Set default HTTP status to "200 OK"
	setHttpStatus('200 OK');

	// If not in CSS mode generate the header
	if ((!isCssOutputMode()) && (!isAjaxOutputMode()) && (!isImageOutputMode())) {
		// Prepare the header for HTML output
		loadHtmlHeader();
	} // END - if

	// Closing HEAD tag
	if ($GLOBALS['__header_sent'] == '0') {
		$GLOBALS['__header_sent'] = 1;
	} // END - if
} // END - if

// Add BODY tag or not?
// @TODO Find a way to not use direct module comparison
if ((!isCssOutputMode()) && (!isRawOutputMode()) && ($GLOBALS['__header_sent'] == 1) && (getModule() != 'frametester') && (!isFramesetModeEnabled())) {
	loadTemplate('page_body');
	$GLOBALS['__header_sent'] = 2;
} // END - if

// [EOF]
?>
