<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/04/2011 *
 * ===================                          Last change: 08/04/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_forced_campaigns.php                   *
 * -------------------------------------------------------------------- *
 * Short description : List/add forced campaigns                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auflisten/Hinzufuegen von Forced-Kampagnen       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default show the list...
$show = TRUE;

// Check for 'url_id' element
if ((!isFormSent('add')) && (countRequestPost() > 0) && (!ifPostContainsSelections('forced_campaign_id'))) {
	// Not found so output message
	displayMessage('{--ADMIN_FORCED_CAMPAIGNS_NO_SELECTIONS--}');

	// Abort here
	return;
} // END - if

// Edit or delete button hit?
if (isFormSent('add')) {
	// Add new forced ad
	doGenericXmlTemplateCallback('admin_add_do_forced_campaigns');
} elseif (isFormSent('edit')) {
	// Show entries for editing
	doGenericXmlTemplateCallback('admin_edit_show_forced_campaigns');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_edit')) {
	// Change data of entries
	doGenericXmlTemplateCallback('admin_edit_do_forced_campaigns');
} elseif (isFormSent('delete')) {
	// Show entries for deletion
	doGenericXmlTemplateCallback('admin_delete_show_forced_campaigns');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_delete')) {
	// Remove entries from database
	doGenericXmlTemplateCallback('admin_delete_do_forced_campaigns');
} elseif (isFormSent('lock')) {
	// Un-/lock selected campaigns. This does not work for pending campaigns
	doGenericXmlTemplateCallback('admin_lock_show_forced_campaigns');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_lock')) {
	// Un-/lock selected campaigns. This does not work for pending campaigns
	doGenericXmlTemplateCallback('admin_lock_do_forced_campaigns');
} elseif (isFormSent('activate')) {
	// List activation of selected campaigns. This does not work for locked campaigns
	if (doForcedAdminActivateCampaigns()) {
		// Has all worked
		displayMessage('{--ADMIN_FORCED_CAMPAIGNS_ACTIVATED_DONE--}');
	} else {
		// Something went wrong
		displayMessage('{--ADMIN_FORCED_CAMPAIGNS_ACTIVATED_FAILED--}');
	}
}

// Show entries?
if ($show === FALSE) {
	// No, a form has already been show
	return FALSE;
} // END - if

// List all campaigns
doGenericXmlTemplateCallback('admin_list_forced_campaigns');

// Init array
$content = array(
	'reload' => createTimeSelections(0, 'forced_campaign_reload_lock', 'Dhms')
);

// Display form for adding a forced-ad
loadTemplate('admin_add_forced_campaign', FALSE, $content);

// [EOF]
?>
