<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/15/2003 *
 * ===================                          Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : login.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Login area for members                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Login-Bereich fuer Mitglieder                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	// Redirect to login form with displayed error code
	redirectToUrl('modules.php?module=index&amp;what=login&amp;code=' . getCode('MODULE_MEMBER_ONLY') . '&amp;mod=' . getModule());
} // END - if

// Disable block mode by default
enableBlockMode(FALSE);

// Generate a tableset for the menu title and content
loadTemplate('member_header', FALSE, array('date_time' => generateDateTime(time(), 1)));

// Add code-message here
handleCodeMessage();

// Begin menu block here
loadTemplate('member_menu_start');

// Adding the main content module here
if (!isActionSet()) {
	if (!isWhatSet()) {
		setWhat('welcome');
	} // END - if
} else {
	$action = getAction();
}

// Add the member's menu here...
if ((isMemberMenuEnabled()) || (!isExtensionActive('sql_patches', TRUE))) {
	addMenu('member', getActionFromModuleWhat('member', getWhat()), getWhat());
} // END - if

// Disable block-mode again
enableBlockMode(FALSE);

// Menu -> content
outputHtml('   </td>
  <td valign="top" align="center" rowspan="3" class="member_content">');

$inc = sprintf("inc/modules/member/action-%s.php", $action);
if ((isIncludeReadable($inc)) && (isMenuActionValid('member', getAction(), getWhat()))) {
	// Requested module is available so we load it
	loadInclude($inc);
} else {
	// Invalid module specified or not found...
	redirectToUrl('modules.php?module=login');
}

if ((isMemberMenuEnabled()) || (!isExtensionActive('sql_patches', TRUE))) {
	// Right side of content (hint: a good place for 120x600 skyscraper banner!)
	loadTemplate('member_content_right');

	// Some advertising stuff?
	loadTemplate('member_advert');
} // END - if

outputHtml('  </td>
</tr>');

// Load same template for 'Goto TOP'
loadTemplate('member_goto_top');

// Footer template (Thanx to Mr. Glaus!)
loadTemplate('member_footer');

// [EOF]
?>
